# ANSUtilities Unit Test
add_executable(ANSUtilities-UnitTest
    ANSUtilities-UnitTest.cpp
)

target_include_directories(ANSUtilities-UnitTest PRIVATE
    ${CMAKE_SOURCE_DIR}/modules/ANSUtilities
    ${CMAKE_SOURCE_DIR}/modules/ANSLLM
    ${SHARED_INCLUDE_DIR}
)

target_link_libraries(ANSUtilities-UnitTest
    PRIVATE ANSUtilities
    PRIVATE ANSLLM
    PRIVATE ANSLicensingSystem
    PRIVATE anslicensing
    PRIVATE opencv
    PRIVATE chilkat
)

if(WIN32)
    target_link_libraries(ANSUtilities-UnitTest PRIVATE ${WIN_COMMON_LIBS} crypt32 dnsapi)
endif()

target_compile_definitions(ANSUtilities-UnitTest PRIVATE UNICODE _UNICODE)
